<template>
  <div id="app">
    <!-- <div class="container"> -->
      <template v-if="currentUser">
        <Navbar></Navbar>
      </template>
      <template  v-else>
        <Header />
      </template>
        <router-view />
      <Footer />
    </div>
  <!-- </div> -->

</template>

<script>
  import Header from "@/partials/Header.vue";
  import Footer from "@/partials/Footer.vue";
  import Navbar from '@/partials/Navbar.vue'
  import Sidenav from '@/partials/Sidenav.vue'
  import { mapGetters } from 'vuex'
  export default {
    components: {
      Header,
      Footer,
      Navbar,
      Sidenav
    },
    computed: {
    ...mapGetters({ currentUser: 'currentUser' })
    },
    created () {
      this.checkCurrentLogin()
    },
    updated () {
      this.checkCurrentLogin()
    },
    methods: {
      checkCurrentLogin () {
        if (!this.currentUser && (this.$route.path !== '/login' && this.$route.path !== '/' && this.$route.path !== '/signup')) {
          this.$router.push('/login')
        }
      }
    }
  }
</script>


<style lang="scss">
@import '../node_modules/bootstrap/scss/bootstrap.scss';
@import './sass/style.scss';
</style>
